For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all IPSecGateways

This endpoint enables retrieving all IPSecGateways using pagination and optional filters.

get
/ipsecgateways
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
Responses
200

Returned all requested IPSecGateways successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of IPSecGateway resources.

Example: 26a73a96-96e9-51d2-98d2-90043b958618
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of IPSecGateway resources.

Example: /ipsecgateways
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/ipsecgateways
GET /ipsecgateways HTTP/1.1
Host: vpn.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "26a73a96-96e9-51d2-98d2-90043b958618",
  "type": "collection",
  "href": "/ipsecgateways",
  "items": [
    {
      "id": "66a114c7-2ddd-5119-9ddf-5a789f5a5a44",
      "type": "ipsecgateway",
      "href": "/ipsecgateways/66a114c7-2ddd-5119-9ddf-5a789f5a5a44",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "status": "AVAILABLE",
        "statusMessage": null
      },
      "properties": {
        "name": "My Company Gateway",
        "description": "This gateway connects site A to VDC X.",
        "gatewayIP": "81.173.1.2",
        "connections": [
          {
            "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
            "lanId": "2",
            "ipv4CIDR": "192.168.1.100/24",
            "ipv6CIDR": "fd28:5f8d:d9fe:08bd::/64"
          }
        ],
        "version": "IKEv2",
        "tier": "STANDARD",
        "maintenanceWindow": {
          "time": "16:30:59",
          "dayOfTheWeek": "Monday"
        }
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?